## lincity-ng 2.9~git20150314

=== contrib/Makefile ===
all: autocrop 

autocrop : autocrop.cxx
	$(CXX) -Wall -O2 -g -o $@ $< `pkg-config --cflags --libs libpng`

render:	
	./render.sh

crop:
	./croprender.sh

# EOF #

## lincity-ng 2.0

=== debian/changelog ===
lincity-ng (2.0-4) unstable; urgency=low

  * Add -f-switch to rm command when removing the font files in debian/rules.
    Prevents FTBFS on buildd.

 -- Markus Koschany <apo@gambaru.de>  Thu, 07 Mar 2013 18:41:28 +0100

lincity-ng (2.0-3) unstable; urgency=low

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Switch to package format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes needed.
    - Drop quilt dependency. Package format 3.0 uses quilt by default.
    - Do not use versioned dependencies. They are not necessary anymore.
    - Add ${misc:Depends} to binary packages.
    - lincity-ng-data: Suggest lincity-ng.
    - Update to use canonical Vcs-fields. Fix broken Vcs-Browser link.
    - Change Conflicts to Breaks and Replaces relation which allows the dpkg
      package management system to find the best upgrade path more freely.
  * debian/rules:
    - Use dh sequencer to simplify debian/rules.
    - Build with --parallel and --autotools_dev addon.
    - Install RELNOTES as upstream changelog. Do not install it via docs file.
    - Build with hardening=+all.
  * Update debian/copyright to copyright format 1.0.
  * Install doc/lincity-ng.6 via manpages files.
  * Install arch-dependent files with lincity-ng.install and arch-independent
    files with lincity-ng-data.install.
  * Drop README.Debian. The information presented in this README file is
    outdated. (Closes: #638667)
  * New patches:
    - create-valid-desktop-file.patch: Remove deprecated UTF-8 Encoding key.
      Fix a typo and use the icon name without file extension. Add keywords.
      (LP: #674519)
    - Add fix-format-is-not-a-string-literal-error.patch to prevent a FTBFS.
    - fix-hyphen-is-used-as-minus-sign.patch: Creates a 100% valid manpage.
    - fix-out-of-boundary-crash.patch: The game can crash in rare cicumstances
      if you zoom out as far as possible and select the bulldozer tool. This
      patch fixes the issue. Thanks to Alain Baeckeroot for the report and
      patch. (Closes: #604172)
    - Add dep3 headers to all patches.
  * Symlink only sans.ttf, the other two fonts were removed by upstream.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Bruno "Fuddl" Kleinert ]
  * Fix typo in lincity-ng-data package description. (Closes: #557683)

 -- Markus Koschany <apo@gambaru.de>  Thu, 07 Mar 2013 16:37:16 +0100

lincity-ng (2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:12:24 +0100

lincity-ng (2.0-1) experimental; urgency=low

  * New upstream release
  * Update debian/copyright
  * Standard version: 3.8.0, no change
  * Add failback-to-800x600.diff to be able to launch the game
    even if the screen doesn't accept 1024x768

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 03 Feb 2009 21:20:45 +0100

lincity-ng (1.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #449367).
  * Move the homepage from the long description to a source field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * debian/rules:
     - Add a find on *.desktop, piped into a sed command to delete the
       deprecated/obsoleted Encoding line.
     - Trim trailing whitespaces.
     - Use relative symlinks from /usr/share/games/lincity-ng/fonts to
       ../../../fonts/truetype/ttf-dejavu (Policy 10.5).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 05 Dec 2007 05:13:23 +0100

lincity-ng (1.1.1-2) unstable; urgency=high

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create the data package anymore
  * remove the dependency on ttf-bitstream-vera

  [ Cyril Brulebois ]
  * Add a conflict against lincity-ng-data (<< 1.1.1) to the lincity-ng
    package to make it possible to upgrade from older installations
    (Closes: #444887).
  * Set urgency to “high” since it also affects testing users.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 01 Oct 2007 18:52:36 +0200

lincity-ng (1.1.1-1) unstable; urgency=low

  * new upstream release (Closes: #439034)
   - remove patches merged in upstream: gcc-4.3.diff and
     remove-Application-section-from-desktopfile.diff
   - the hyphen-used-as-minus-sign typo in the manpage is fixed upstream,
     remove the fix from debian/rules
  * update the changelog
  * install the official icon instead of debian/lincity-ng.xpm and use
    convert from imagemagick to create a .xpm file for Debian menu system
  * rules: add a dh_desktop call to launch update-desktop-database
  * use ttf-dejavu instead of ttf-bitstream-vera (Closes: #440909)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 22 Aug 2007 00:09:56 +0200

lincity-ng (1.1.0-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * jam -q: exit the build process as soon as a file failes
  * add patch gcc-4.3.diff (Closes: #417374)
   - add quilt in the build-deps
  * keeps the desktop file in lincity-ng package instead of lincity-ng-data
    because a .desktop file shouldn't be installed without the binary it
    belongs
  * add remove-Application-section-from-desktopfile.diff to remove
    the wrong section "Application" from the desktop file
  * clean the files and directorys after the jam clean

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 21 Aug 2007 09:51:13 +0000

lincity-ng (1.1.0-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * add ttf-dejavu as a first font option since is a superset of
    ttf-bitstream-vera (Closes: #404396)

  [ Gonéri Le Bouder ]
  * New upstream release (Closes: #412217)
  * Add myself in Uploaders:
  * copy config.{sub,guess} from autotools-dev during the configure
  * lincity depends on lincity-ng-data (= ${source:Version}) instead of
    (>= 0.9rc1) to avoid unexpected error
  * add icon description in Debian menu. Thanks Mark Purcell (Closes: #407359)
  * game data in /usr/share/games

  [ Alexander Schmehl ]


=== debian/control ===
Source: lincity-ng
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>, Markus Koschany <apo@gambaru.de>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 imagemagick,
 jam,
 libphysfs-dev,
 libsdl-gfx1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libxml2-dev,
 pkg-config,
 zlib1g-dev
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/lincity-ng/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/lincity-ng/
Homepage: http://lincity-ng.berlios.de/

Package: lincity-ng
Architecture: any
Depends:
 lincity-ng-data (= ${source:Version}),
 ttf-dejavu,
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: lincity-ng-data (<< 1.1.1)
Replaces: lincity-ng-data (<< 1.1.1)
Description: City simulator game with polished graphics
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.

Package: lincity-ng-data
Architecture: all
Depends: ${misc:Depends}
Suggests: lincity-ng
Description: Media files for the city simulator game LinCity-NG
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.
 .
 This package contains the architecture independent game media files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
	  --prefix=/usr \
	  --bindir=\$${prefix}/games \
	  --datarootdir=\$${prefix}/share/games \
	  --mandir=\$${prefix}/share/man

override_dh_auto_build:
	jam -q

override_dh_auto_install:
	jam -sprefix=$(CURDIR)/debian/tmp/usr install

override_dh_install:
	# create a .xpm file for the Debian menu
	convert -monitor -resize 32x32 \
	  $(CURDIR)/debian/tmp/usr/share/games/pixmaps/lincity-ng.png \
	  $(CURDIR)/debian/tmp/usr/share/games/pixmaps/lincity-ng.xpm
	dh_install

	# Remove duplicate Bitstream Vera font, use links file and symlink
	# to Debian's ttf-dejavu package.
	rm -f $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/*

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

=== debian/watch ===
# mandatory line -- format version
version=3

# Berlios project, ID 2929, tar.bz2 source
opts=downloadurlmangle=s/prdownload/download/ \
  http://developer.berlios.de/project/showfiles.php?group_id=2929 \
  http://prdownload.berlios.de/lincity-ng/lincity-ng-(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lincity-ng 2.0-2maemo1

=== debian/changelog ===
lincity-ng (2.0-2maemo1) unstable; urgency=low

  * Optified (--prefix=/opt/lincity)
  * Doesn't need openGL (no compiletime nor runtime)
  * Doesn't save userconfig.xml at the end: 
     - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18562&group_id=2929
  * Tries 800x480 resolution: 
     - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18562&group_id=2929

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 14 Apr 2012 18:52:22 +0200

lincity-ng (2.0-2build1) maverick; urgency=low

  * Rebuild against new libphysfs (LP: #614067)

 -- Philip Muskovac <yofel@gmx.net>  Sat, 25 Sep 2010 23:52:22 +0200

## lincity-ng 2.0-2maemo3

=== debian/changelog ===
lincity-ng (2.0-2maemo3) unstable; urgency=low

  * Use start script wrapper: /opt/lincity/games/lincity-ng -f -s -S 800x480

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 15 Apr 2012 19:21:22 +0300

lincity-ng (2.0-2maemo2) unstable; urgency=low

  * Statistic fits the screen: 
      - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18563&group_id=2929
  * Doesn't need openGL (no address on last one)
      - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18564&group_id=2929
  * Tries 800x480 resolution (wrong address on last one)
      - http://developer.berlios.de/bugs/?func=detailbug&bug_id=15192&group_id=2929
 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 15 Apr 2012 12:08:22 +0300

=== debian/control ===
Source: lincity-ng
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13), quilt, imagemagick
Standards-Version: 3.8.0
Homepage: http://lincity-ng.berlios.de/

Package: lincity-ng
Architecture: any
Depends: ${shlibs:Depends}, ttf-dejavu
Description: City simulator game with polished graphics
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name. 
 Contains also data files
XSBC-Bugtracker: http://developer.berlios.de/bugs/?func=browse&group_id=2929
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAMCElEQVRo3sWYS4xk11mAv/+cc289u6t7+mVP2x4bZ/AMlhlPwJYw
 tmRkgiIDkUmMEDIsEQJZYcOGBWzAe9igiE1AYpkollmB4rGdiRPFdoCZ2IPH
 6Xge3WP3a7qqq+rWrfs452dRVT09jj09XnTmSKV7u++tOv/3v88vHLzc6dOn
 /+nEiRNfyvN8M8uyXlmWwxBCvyiKdpqmW0mSXB8MBp2yLAcikuZ53u/1et0k
 SfohhAToAPlt7PW5l7uNd+yxY8cWn3rqqePOueOqSgiBsiwpioI8z0NRFGVR
 FDr+O8/zfJhlWZJl2WB9fb371ltv/bVz7s2tra07AmDcaNHpdEiHQ2rVKpVK
 hXq9zvT0tFHVWFVRVbz3lRDClPd+QVVZWVnpvv32274oisMwwG0BiHMuUlW2
 2x1OnnqUoijodXdZvXyF+ZkWMzMzXF1dQzVgrcOIEMcR9Xqd4XDYz/O8fSjS
 fw4LxABT09M88fTTVGt1gipnz7zKlQvvkiQJ9bl5fvWxx+n3enR3O5z74Q84
 dvRu0jRd7/f7nUql8osHEBFU1VhrIwCxFjGWwnvEGNI0pVatUhQFy8cf5Fce
 PU3pPcM05fL77wOQJMl1YLcsy0MBMLd6GEXRngVUFesisJYAlCHQ7XSoVCoU
 ZUltaorce8oQ6PX7ZOkAESHLsutAPv6tXyyAcw7AWGsj7z2VWg1ERgA+kCYJ
 1UqFwnvqrRZBFRWh02ljBLz39Pv9S6oa7ogFrLXji418CNSaTcQ6jHVkRY73
 JdZZitJTrTcICoqws30dJ4ayLOh2u6vPP/88hwVwW1nIGOMEuHb1Km++foYo
 rpCmKVmSYGQJr4oPgawocHFMp71DtRKTZXlZFMX11dXVQxH+QABVBTAi4mZm
 ZhBj6Fz6GUVZkmU5y0uLGGupWMMb3/k2lWYTG1dYv3KZY4vzbGxs9Lrd7keH
 VQMOBAghTACstZaF+XmMGXmd937v8+AD95NlOXmWkWUDji3OU6/XSZIkWV9f
 X69Wq3cUQETEqipZliEiiMjNVtJRwBtjiCuVvVZjOBz2yrLs3zELjANPjDF2
 a3ubtc0t6s0mwXuGgwELMy2WFhd5f2WFQsEaA6oYDSzOz5MkyRrQ997fGYDx
 xiIipt/v8/ATT/HQqUfxIfDhBxdZ+f4bzGRDaE7z9HNfI89zhmnKmy9/m+k0
 pd/vrwODw8pABwIYY/DeW4CgUJ+aotpoEAAXxzhnyYYZU0fmmF1cQoE8z6k3
 GoQQyLJse2trKywsLBwawO1U4jFAwEYRQZWgkGcZgjDMc6rTLQLgg5L0E3yW
 URSF9vv9yy+99NKhCX+gBeI4JoRgRZCgjABgpOksQwSyLGO22UQRVCAdpoQ8
 I7embLfbq2fOnLlzAFEU4b13IOJViSoVRAwYQ1EUCJCVJbXmNAoEIE0SrAh5
 luV5nu8cpv8fCOCcwznnRMTkwyEXfvwOH125iokiVld+SkuEYV6Q5Tn9fh9X
 qdBtt7FG6KeDnV6vt3mYNeBzWACzvLTI7uplBlcvEUIgVmV6YYEyBC6+9l9c
 PPsaJo7p7e5yd6PGej9pt9vt6/V6/c4ClGXpAFOv1/mkMN57FubmmJudxfuS
 Ii8oY4d1jjRNd4HkMGvAgQDOOay1TkRslmUMBoO9Z8YYarUa3nuSJKEsS7z3
 lN7jnGMwGFwF8nE1v3MAzrlIROzl1TXckTmqjVHGWb/8IffNttjtJxStWVrL
 y5i4wuD6NrsXztPv9dZUtdjfdtwxAFRtsIYnn/saMwuLBIQ3vvMt/NplMlUe
 f/YrzC3fgxrDB//9Dj/5v5+QZdn2Cy+8cKjCHwhgrWV8HjYhKNZaJnOhYjgk
 MgYfAnG1RggBBXpbW5RZlieDweqVK1fuLIAxBmNMpKpWUWTcSocQyAcJUQiI
 i7BRhDLqTNPeLr4shzs7O2sbGxt3HkBEnKoaREZFbAyQJQl1FFut4aIIRkMt
 0vYOwfvhYDBoH2YbvSfjrR6Oe/9IVQUxWGcxo3MyZZ4RVHG12qhCW0sIgeHu
 LkVRbHS73c5hZ6ADLTBeVkTMsN/j7Csv05iZRcWQJX3C9BS9TofL772LD4F+
 v0fe75Km6WYIYTfPD2Wee/sA4xRoxRi5d2mRwbWrbF35kLIsmW80qFSrVLa3
 ufDKt2Ac3DNxxGpRtIGhc447WsjGA1vLaD7K9PT03nFyMsw9urg4uh//L01T
 dnd3C2PMI1EUaRRFOv6OiogyamZVRFRHUwMdr7B3E4KGEMqyLDdFJLuVEg50
 oRCCGV8/FXA/jOoo1Z46deoPTp48+exEuE9ex/dh/1VVw77/abvd7p8/f/7F
 OI7P3iodH1jIRMTsF/CTy3uPMWbvuYhw9OjRqohUAURGOv/kNye/9VmV+uOP
 P85WVlbmDmoGbwlQq9XodDp2UrwmAgKkacrm5ibdbpeZmRnuuuuuySRvD2Z3
 t8tgOBxRjOXUEGg1mzSbzdEZeji8yQVVlWqlgogYY4ydjHE+H8DjwP/AmdqZ
 2vHK8fmJC6kqg8GAjY0N0jRldnaW+++/n83NTS5evMjy8jKtVmskSAjspEN+
 +be/TKPVAsBYy/qlS2z86CxTzSbXNrc4cuJhGlPTWOdwkcOXJZfe+iE11JS1
 YuHcF8/FnCPn9EimzwSQZ0BfBfMc02aJR+xv8Qwtnkwudk4zngVtbW2xvr7O
 0tIS991332T4ywMPPECn02FtbY1Op8Py8jJGhEqtxhdOnaY1N0dQxViLdY7t
 d35ICAHXaPDkV/+Q5vQ0AhgRsiRh4/0LaLdte6fafxcf5ff4Ot8LPV7z93JB
 XyGRp0DPTgBOQvxHUL7HXPR1ft8s8KemxWlpMEMFMZt71qff77O0tMTS0tKe
 RSZrZmaGZrPJysoK7Xab+bk5NAS0LMF7UEUAn2WTaQdRtY6zFgmKoCNXC2G0
 nxhkWu92d/G7zPBsSLluF3gr3M2/+m3+0/wlXf8OuIcvwAd/zhPxw/y9WeA3
 TYMKdhx4AcQbxN1InZOG7pNLVYmiiGazOcr9IqABg2JEEFUMoEWBNYYQApVG
 gyiKMOMQN9xoDYwIhLHqYsREzNPgWTPF0zLFd8M2f1v7KufdB3/Bl90x/tEu
 8dBEcPadw423e4EbQuBWQbU/UwkQypJhv0eYmRn5uDWEssAYGXWxtTrVOEbG
 7xsRvDWjPcSAHytxMgoBpE7dxXzFW+4uLvKiM7P8lZnjIQD8+MVJxlCw3iDc
 SJMHZYW9mDKGigjf+/dv0jgyR6XRpD7dYvuja1gRgvcMej0+/vBnqI7cRkTI
 05ThIKE2sUAA9gFM5LMtHtMBLzoURwCdaH1fWlYdWcBgEBXQ0RnBiEFF9713
 I6fvr9SLC/OjCfZwgE96dD9axYbA1NQUqLLz8TVe/+a/3LxnUGJrcFGMDPcB
 TITfDwLOhQ7/7Ot8wR7h/pGT3gARhY5t8/raqzSjKXY3d9kZ7jDbmsVgsFic
 cVSiCnEcE8cx+TDH1iyigiAYZ4hcdLNyxnn/3uWjIy3drFxEDLvdXSR8CgCg
 HsIu74Y+33DFN3hZ/4y+ZvyDneHXpIKdbCTA4GSXc9lbUIAcAwqBUiABGVjc
 0OE0wuFwpcP3lYXGArODWRwRsY2pmTo1V6dqq0Q2wllH5CIiGxG5CGssYsbW
 G3+ssZhgbrg1o3jQjDz0eTPs8Df13+FHwingHNg/ZtnM8bxp8Semzkmp0MBO
 VHJzbPx88I6f+5G2NIzvPVCAKQy2sEhpkEKwpaNSVqj4KlEZ44Ijkpg6derS
 oGZq+CzwduUHJCd6SAma0w0p5zXh38IuL9s5tovVfSKZZ4AtRE4wLy1+3TT4
 ktT4DYl5UGJa4ogx+yDkZrOifPbSm99XbgTm5F7HsJSjq6ZkYmlrxE815fsh
 5bua8L/hPXb4JeA/fi5k92WQx0C3EfNFZk2De6XOwxLziMQ8hOUeccziWBRD
 ZeToOBHMLS20PwhHg1SviiegeFL1bFLSVs8VLfmAkvM65ELoshbepMsSyvlP
 kZXbWceBASInqdCkbhosSYV7EGbEcUQcR7EcBVpABFiECMGNLVOglCgeyFHa
 6rlGybp62ig7mrEaErbpM9AL5FRRLh0s2v8D3G7Q9CWtUpgAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMTItMDQtMTRUMjA6NDM6MTcrMDM6MDBP7oG7AAAAJXRF
 WHRkYXRlOm1vZGlmeQAyMDEyLTA0LTE0VDIwOjQzOjE1KzAzOjAwqSwoLgAA
 ABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAAASUVORK5C
 YII=
 ====

## lincity-ng 2.0-2maemo4

=== debian/changelog ===
lincity-ng (2.0-2maemo4) unstable; urgency=low

   * 800x480 resolution without wrapper
   * Locale works

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 15 Apr 2012 19:21:22 +0300

## lincity-ng 2.0-2maemo5

=== debian/changelog ===
lincity-ng (2.0-2maemo5) unstable; urgency=low

   * Show maemo-packeting version on logs
   * Depend working sdl-midex

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 Apr 2012 20:10:22 +0300

## lincity-ng 2.0-2maemo6

=== debian/changelog ===
lincity-ng (2.0-2maemo6) unstable; urgency=low

   * FIX: crash when 'start' before scenario is selected
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18568&group_id=2929 
   * Saving configurations works

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 Apr 2012 12:40:22 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: lincity-ng
 Architecture: any
-Depends: ${shlibs:Depends}, ttf-dejavu
+Depends: ${shlibs:Depends}, ttf-dejavu, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
 Description: City simulator game with polished graphics
  LinCity-NG is a City Simulation Game. It is a polished and improved
  version of the old LinCity game:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

# Needed to cross-compile
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#$(MAKE) -f /usr/share/quilt/quilt.make patch
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --prefix=/opt/lincity/ --bindir=\$${prefix}/games --datarootdir=\$${prefix}/share/games 

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	ftjam -q
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-ftjam clean

	#$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	rm -Rf debian/lincity-ng.6 \
		build-stamp config.status config.sub config.guess \
		config.log config.h \
		build lincity-ng Jamconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	ftjam -sprefix=$(CURDIR)/debian/lincity-ng/opt/lincity install

	# Prune the docs installed by "jam install", they'll be added the debhelper
	rm -rf $(CURDIR)/debian/lincity-ng/usr/share/games/doc

	# Build a separate arch independant data package
	##mkdir -p $(CURDIR)/debian/lincity-ng-data/usr/share/games
	##mv $(CURDIR)/debian/lincity-ng/opt/lincity/lincity-ng $(CURDIR)/debian/lincity-ng-data/opt/lincity
	##mv $(CURDIR)/debian/lincity-ng/opt/lincity  jotakin /games/* $(CURDIR)/debian/lincity-ng/usr/share
	##rm -rf $(CURDIR)/debian/lincity-ng/usr/share/games

	# Do not duplicate the Bitstream Vera font
	# Symlinks target /usr/share/fonts/truetype/ttf-dejavu
	# (and have to be relative, see Policy 10.5)
	##rm $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/*
	##ln -s ../../../fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/fixed.ttf
	##ln -s ../../../fonts/truetype/ttf-dejavu/DejaVuSans.ttf     $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/sans.ttf
	##ln -s ../../../fonts/truetype/ttf-dejavu/DejaVuSerif.ttf    $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/serif.ttf


	#correct place of icon
	mkdir -p $(CURDIR)/debian/lincity-ng/usr/share/pixmaps/
	mv debian/lincity-ng/opt/lincity/share/games/pixmaps/lincity-ng.png $(CURDIR)/debian/lincity-ng/usr/share/pixmaps/

	#place of desktop-file
	mkdir -p $(CURDIR)/debian/lincity-ng/usr/share/applications/hildon
	mv $(CURDIR)/debian/lincity-ng/opt/lincity/share/games/applications/lincity-ng.desktop $(CURDIR)/debian/lincity-ng/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installman ./doc/lincity-ng.6 -a
	dh_desktop -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lincity-ng 2.0-2maemo8

=== debian/changelog ===
lincity-ng (2.0-2maemo8) unstable; urgency=low

   * GLES(1) support by Bartosz Miskiewicz (use options to set it on)
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18588&group_id=2929
   * Icon for 'back' on load/save-menus
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18587&group_id=2929
   * Windowed version possible (not crashing, but not playable)
   * Space=QueryTool

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 3 May 2012 07:13:22 +0300

lincity-ng (2.0-2maemo7) unstable; urgency=low

   * Fasten startup time. Not loading resume game automaticall
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18582&group_id=2929
   * Change "Start with empty board" to look more button (not text)
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18584&group_id=2929
   * Fasten setup_land()
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18585&group_id=2929
   * Scrollbars fixed (use up/down-buttons)
       - http://developer.berlios.de/bugs/?func=detailbug&bug_id=18586&group_id=2929
   * Reorder layout of NewGame-menu
   * Scaled background images manually
   * Bigger buttons on help-menu
   * Drop non-used datafiles (progressbar/progresswheel)
 
 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 21 Apr 2012 10:05:22 +0300

## lincity-ng 2.0-2maemo9

=== debian/changelog ===
lincity-ng (2.0-2maemo9) unstable; urgency=low

   * Fix: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 8 May 2012 16:25:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: user/games
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13), quilt, imagemagick
+Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), 
+ libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13), 
+ quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel]
 Standards-Version: 3.8.0
 Homepage: http://lincity-ng.berlios.de/

## lincity-ng 2.0-2maemo10

=== debian/changelog ===
lincity-ng (2.0-2maemo10) unstable; urgency=low

   * Starting message tells is gles support compiled in.
   * Fix2: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 May 2012 09:24:22 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), 
- libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13), 
- quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel]
+ libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13),
+ quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel], opengles-sgx-img-common-dev [arm armel]
 Standards-Version: 3.8.0
 Homepage: http://lincity-ng.berlios.de/

=== debian/rules ===
--- 
+++ 
@@ -78,12 +78,20 @@
 
 	#correct place of icon
 	mkdir -p $(CURDIR)/debian/lincity-ng/usr/share/pixmaps/
-	mv debian/lincity-ng/opt/lincity/share/games/pixmaps/lincity-ng.png $(CURDIR)/debian/lincity-ng/usr/share/pixmaps/
+	mv $(CURDIR)/debian/lincity-ng/opt/lincity/share/games/pixmaps/lincity-ng.png $(CURDIR)/debian/lincity-ng/usr/share/pixmaps/
+	rmdir $(CURDIR)/debian/lincity-ng/opt/lincity/share/games/pixmaps/
 
 	#place of desktop-file
 	mkdir -p $(CURDIR)/debian/lincity-ng/usr/share/applications/hildon
 	mv $(CURDIR)/debian/lincity-ng/opt/lincity/share/games/applications/lincity-ng.desktop $(CURDIR)/debian/lincity-ng/usr/share/applications/hildon
+	rmdir $(CURDIR)/debian/lincity-ng/opt/lincity/share/games/applications/
 
+	mkdir -p $(CURDIR)/debian/lincity-ng/usr/bin
+	cp $(CURDIR)/debian/lincity.sh $(CURDIR)/debian/lincity-ng/usr/bin/
+
+	#Remove data files which are not used by game at all
+	rm -rf debian/lincity-ng/opt/lincity/share/games/lincity-ng/images/mainmenu/progresswheel
+	rm -rf debian/lincity-ng/opt/lincity/share/games/lincity-ng/images/mainmenu/progressbar
 
 # Build architecture-independent files here.
 binary-indep: build install

## lincity-ng 2.0-2maemo11

=== debian/changelog ===
lincity-ng (2.0-2maemo11) unstable; urgency=low

   * Fix3: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 May 2012 14:56:22 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), 
  libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13),
- quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel], opengles-sgx-img-common-dev [arm armel]
+ quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel]
 Standards-Version: 3.8.0
 Homepage: http://lincity-ng.berlios.de/

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,9 @@
 	#$(MAKE) -f /usr/share/quilt/quilt.make patch
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --prefix=/opt/lincity/ --bindir=\$${prefix}/games --datarootdir=\$${prefix}/share/games 
-
+	
+	#for debugging
+	cat Jamconfig
 build: build-stamp
 
 build-stamp:  config.status

=== debian/watch ===
# mandatory line -- format version
version=3

# Berlios project, ID 2929, tar.bz2 source
opts=downloadurlmangle=s/prdownload/download/ \
  http://developer.berlios.de/project/showfiles.php?group_id=2929 \
  http://prdownload.berlios.de/lincity-ng/lincity-ng-(.*).tar.bz2

## lincity-ng 2.0-2maemo12

=== debian/changelog ===
lincity-ng (2.0-2maemo12) unstable; urgency=low

   * Fix4: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 May 2012 22:46:22 +0300

## lincity-ng 2.0-2maemo13

=== debian/changelog ===
lincity-ng (2.0-2maemo13) unstable; urgency=low

   * Fix5: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 May 2012 23:10:22 +0300

## lincity-ng 2.0-2maemo14

=== debian/changelog ===
lincity-ng (2.0-2maemo14) unstable; urgency=low

   * Fix6: compile with gles-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 May 2012 23:35:22 +0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, ftjam, pkg-config, libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), 
  libsdl-image1.2-dev (>= 1.2), libsdl-ttf2.0-dev (>= 2.0), libphysfs-dev (>= 0.1.9), zlib1g-dev, libxml2-dev (>= 2.6.1), libsdl-gfx1.2-dev (>= 2.0.13),
- quilt, imagemagick, libgles1-sgx-img-dev [arm armel], libsdl-gles1.2-dev [arm armel]
+ quilt, imagemagick, libgles1-sgx-img-dev, libsdl-gles1.2-dev
 Standards-Version: 3.8.0
 Homepage: http://lincity-ng.berlios.de/
 
 Package: lincity-ng
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, ttf-dejavu, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
 Description: City simulator game with polished graphics
  LinCity-NG is a City Simulation Game. It is a polished and improved

## lincity-ng 2.9~git20150314

=== debian/changelog ===
lincity-ng (2.9~git20150314-4) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Use canonical VCS URL.
  * Mark lincity-ng-data Multi-Arch: foreign.
  * Remove obsolete Breaks and Replaces.
  * Override dh_missing. Use --list-missing.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jan 2021 00:58:42 +0100

lincity-ng (2.9~git20150314-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm icon. Remove imagemagick from B-D.
  * Move fonts-dejavu dependency from lincity-ng to lincity-ng-data.
    Thanks to Andreas Beckmann for the report. (Closes: #861049)

 -- Markus Koschany <apo@debian.org>  Fri, 30 Jun 2017 01:27:42 +0200

lincity-ng (2.9~git20150314-2) unstable; urgency=medium

  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Update my email address.
  * Vcs-fields: Use https.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Jan 2017 15:47:20 +0100

lincity-ng (2.9~git20150314-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Upload to unstable.
  * Imported Upstream version 2.9~git20150314.
  * Moved the package to Git.
  * Switch Vcs-Browser field to cgit.
  * Add README.source.
  * Install lincity-ng.png to /usr/share/icons/hicolor/128x128/apps directory.
  * debian/rules: Run makerelease.sh script.
  * Update debian/copyright for new release.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Alexandre Detiste ]
  * Update debian/watch and homepage field. BerliOS is long dead, GoogleCode
    now too, moved to GitHub.

 -- Markus Koschany <apo@gambaru.de>  Tue, 05 May 2015 19:33:58 +0200

lincity-ng (2.9~beta-2) experimental; urgency=medium

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.6.
  * Switch to Git repository.
  * Rebuild to make the game installable again.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

 -- Markus Koschany <apo@gambaru.de>  Sun, 26 Oct 2014 15:16:30 +0100

lincity-ng (2.9~beta-1) experimental; urgency=medium

  * Imported Upstream version 2.9~beta.
  * Drop all patches. Fixed upstream.
    - create-valid-desktop-file.patch
    - fix-format-not-a-string-literal-error.patch
    - fix-hyphen-is-used-as-minus-sign.patch
    - fix-out-of-boundary-crash.patch
    - failback-to-800x600.patch
  * debian/control:
    - Declare compliance with Debian policy 3.9.5.
    - Depend on fonts-dejavu instead of the deprecated ttf-dejavu package.
    - Move imagemagick to Build-Depends-Indep.
    - Remove obsolete Breaks and Replaces fields from lincity-ng binary
      package. Add Breaks and Replaces lincity-ng (<< 2.9~beta-1) to
      lincity-ng-data because architecture-independent icons have been moved to
      this package.
  * debian/menu: Change section to Games/Simulation.
  * debian/rules:
    - Convert icons in dh_auto_build-indep target.
    - Use dh_auto_build-arch target for jam -q.
    - Enable verbose build with jam -dax.
  * wrap-and-sort -sa.
  * Update lincity-ng-data.links because of the new fonts-dejavu-core package.
  * Add clean file.
  * Update watch file and mangle the upstream version correctly.
  * Update copyright years.
  * Install README-WaterWell and README-Unlimited with docs file.

 -- Markus Koschany <apo@gambaru.de>  Mon, 03 Feb 2014 16:57:11 +0100

=== debian/control ===
Source: lincity-ng
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 jam,
 libphysfs-dev,
 libsdl-gfx1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libxml2-dev,
 pkg-config,
 zlib1g-dev
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/games-team/lincity-ng.git
Vcs-Browser: https://salsa.debian.org/games-team/lincity-ng
Homepage: https://github.com/lincity-ng/lincity-ng/

Package: lincity-ng
Architecture: any
Depends:
 lincity-ng-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: City simulator game with polished graphics
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.

Package: lincity-ng-data
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-dejavu,
 ${misc:Depends}
Suggests:
 lincity-ng
Description: Media files for the city simulator game LinCity-NG
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.
 .
 This package contains the architecture independent game media files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_configure:
	./makerelease.sh
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--datarootdir=\$${prefix}/share/games \
		--mandir=\$${prefix}/share/man

override_dh_auto_build-arch:
	jam -q -dax

override_dh_auto_install:
	jam -sprefix=$(CURDIR)/debian/tmp/usr install
	# Remove duplicate Bitstream Vera font, use links file and symlink
	# to Debian's fonts-dejavu package.
	rm -f $(CURDIR)/debian/lincity-ng-data/usr/share/games/lincity-ng/fonts/*

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/lincity-ng/lincity-ng/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)lincity-ng-(\d\S*)\.tar\.gz
